Add syguscomp2016 scripts.
authorajreynol <andrew.j.reynolds@gmail.com>
Fri, 17 Jun 2016 14:22:09 +0000 (09:22 -0500)
committerajreynol <andrew.j.reynolds@gmail.com>
Fri, 17 Jun 2016 14:22:09 +0000 (09:22 -0500)
contrib/run-script-sygusComp2016-CLIA [new file with mode: 0644]
contrib/run-script-sygusComp2016-GENERAL [new file with mode: 0755]
contrib/run-script-sygusComp2016-INV [new file with mode: 0644]
contrib/run-script-sygusComp2016-PBE [new file with mode: 0644]

diff --git a/contrib/run-script-sygusComp2016-CLIA b/contrib/run-script-sygusComp2016-CLIA
new file mode 100644 (file)
index 0000000..3dc08d8
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+  ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+  (read result w1;
+  case "$result" in
+  unsat) echo "$w1";cat;exit 0;;
+  esac; exit 1)
+  if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --decision=internal --cbqi-prereg-inst
diff --git a/contrib/run-script-sygusComp2016-GENERAL b/contrib/run-script-sygusComp2016-GENERAL
new file mode 100755 (executable)
index 0000000..0ee133e
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+  limit=$1; shift;
+  ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench
+}
+
+function trywith {
+  sol=$(runl $@)
+  status=$?
+  if [ $status -ne 134 ]; then
+    echo $sol |
+    (read result w1;
+    case "$result" in
+    unsat) echo "$w1";cat;exit 0;;
+    esac; exit 1)
+    if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi  
+  fi
+}
+
+function finishwith {
+  $cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+  (read result w1;
+  case "$result" in
+  unsat) echo "$w1";cat;exit 0;;
+  esac)
+}
+
+trywith 120 --cegqi-si=all-abort --cegqi-si-abort --decision=internal --cbqi-prereg-inst
+finishwith --cegqi-si=none
diff --git a/contrib/run-script-sygusComp2016-INV b/contrib/run-script-sygusComp2016-INV
new file mode 100644 (file)
index 0000000..a25a5f5
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+  ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+  (read result w1;
+  case "$result" in
+  unsat) echo "$w1";cat;exit 0;;
+  esac; exit 1)
+  if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --sygus-inv-templ=post
diff --git a/contrib/run-script-sygusComp2016-PBE b/contrib/run-script-sygusComp2016-PBE
new file mode 100644 (file)
index 0000000..19d8fd8
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function trywith {
+  ($cvc4 --lang=sygus --no-checking --no-interactive --dump-synth --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+  (read result w1;
+  case "$result" in
+  unsat) echo "$w1";cat;exit 0;;
+  esac; exit 1)
+  if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith --cegqi-si=none